Subject: Re: bug#78659: [PATCH] Pacify Clang's -Wformat-signedness.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jun 2025 10:52:14 +0300

> Date: Mon, 2 Jun 2025 00:26:30 -0700
> Cc: [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> 
> On 2025-06-01 00:29, Eli Zaretskii wrote:
> > I tend to agree, but isn't the latest GCC prone to bugs in this area?
> 
> Not that I know of. I usually build with it.
> 
> > And how can we know what is "recent GCC"?
> 
> I suggest worrying only about the most recent stable GCC release. 
> Anything older than that is generally not worth worrying about, though 
> there may be some exceptions in extremely annoying circumstances. After 
> all, these warnings are meant only for developers who should be using 
> recent GCC anyway.

OK, but the question of how to recognize that version still stand.
Assuming we want to enable the warning automatically by some autoconf
test, that is.